<!doctype html>
<html>
    <head>
        <title>Select your Benchmark</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="/static/js/index_lib.js" charset="utf-8"></script>
        <link rel="stylesheet" type="text/css" href="/static/css/index.css">
        <script src="https://code.highcharts.com/highcharts.js"></script>
        <script src="https://code.highcharts.com/modules/exporting.js"></script>
        <script src="https://code.highcharts.com/modules/offline-exporting.js"></script>
        <script src="https://use.fontawesome.com/d131946008.js"></script>
        <meta charset="utf-8" />
    </head>
    <body>
    <div class="navbar navbar-expand-lg fixed-top navbar-dark bg-primary">
        <div class="container">
            <div class="row">
        <a href="." class="navbar-brand">TFLSGO Comparison web</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav nav">
              <li class="nav-item"><a class="nav-link" href="/">Compare</a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="/update">Update data</a>
            </li>
          </ul>
        </div>
            </div>
            </div>
        </div>
    </div>
    <div class="container-fluid mt-3">
      <div class="page-header" id="banner">
        <div class="row">
          <div class="col-lg-8 col-md-7 col-sm-6">
            <h1>Cerulean</h1>
          </div>
        </div>
      </div>
 <div class="bs-docs-section clearfix">
    <div id="app" class="row" id="benchmark">
        <div class="row">
            <div class="col-lg-2">
            </div>
            <div class="col-lg-10 col-sm-12">
                <form id="data" action="#" method="post" enctype="multipart/form-data" v-on:submit="sendData">
                    <fieldset>
                    <input type="hidden" name="mobile" v-bind:value="mobile">
                    <h2 class="mx-auto">About the website</h2>
                    <p>This website allows researcher to compare results of different algorithms for different benchmarks.
                        The process is simple:</p>
                    <ol>
                        <li>Select the wanted benchmark.</li>
                        <li>Select the dimension (if there is more of one for the benchmark).</li>
                        <li>Select the algorithm to compare. You can select from the Database and/or add results from
                        an Excel file.</li>
                        <li>Select the report.</li>
                        <li>Push the button <strong>Compare</strong>.</li>
                    </ol>
                <h2>Select Benchmark</h2>
                Select the benchmark used for comparison:
                <!-- Select the benchmark -->
<select-bench :benchmark.sync="benchmark" v-on:updated="onChangedBenchmark" ref="selectowner"></select-bench>
    <!-- Only visible with the benchmark was selected -->
    <template v-if="dimensions.length > 0">
<!-- Form with the data ( in ajax) -->
    <h2>{{benchmark.title}}</h2>
    <p>{{benchmark.description}}
    </p>
    <template v-if="dimensions.length > 1">
    Select the dimension value:
    <select name="dimension" v-model="dimension" v-on:change="onChangedDimension">
        <option v-for="dim in dimensions" v-bind:value="dim">{{dim}}</option>
    </select>
    </template>
    <template v-else>
        <p>
            Dimension value: <strong>{{dimensions[0]}}</strong>
        </p>
    </template>
    <p>
            <!-- benchmark_id -->
            <input type="hidden" v-bind:value="benchmark.id" name="benchmark_id"/>
            <!-- dimension -->
            <input type="hidden" v-bind:value="dimension" name="dimension"/>
    </p>
    <template v-if="dimension">
        <h2>Algorithms to compare</h2>
    <!-- algs with the list of algorithms to compare -->
        <template v-if="available_algs.length > 0">
                <ul class="checkbox">
        <template v-for="alg in available_algs">
                <li><label><input type="checkbox" v-bind:value="alg" name="algs" v-model="algs" checked>{{alg | to_space}}</li></label>
        </template>
                </ul>
    </template>
    <template v-else>
        <p>
            There are not algorithms to compare.
        </p>
    </template>
    <br>
If you want to compare existing results with your own proposal, set a Excel or 
        CSV file with the results (optional).

    <input-alg v-bind:benchmark="benchmark"></input-alg>
    <div v-if="error" class="alert alert-danger">
        <label id="error">{{error}}</label>
    </div>
    <div class="form-group">
            <input name="libcharts" value="hc" type="hidden">
            <div class="row">
            <template v-if="reports.length == 1">
                    <div class="col-md-12">
                        <strong>Report: {{reports[0].description}}</strong>
                    </div>
    </template>
    <template v-if="reports.length > 1">
             <div class="col-lg-3 col-md-4 col-sm-6">
                 <label class="form-control no-border">Select the Report:</label>
             </div> 
             <div class="col-lg-5 col-md-4 col-sm-12">
                 <select v-model="report_name" name="report_name" class="form-control">
                     <option v-for="report in reports" :value="report.name">{{report.description}}</option>
                 </select>
             </div>
    </template>
    <div class="col-lg-2 col-sm-3">
        <input type="hidden" name="report" :value="report_name">
        <input id="submit_button" type="submit" class="btn btn-primary" value="Compare">
    </div>
    <div class="col-lg-2 col-sm-3">
        <i id="refresh" class="d-none fa fa-spin fa-refresh fa-2x fa-fw"><span class="sr-only">Loading...</span></i>
    </div>
    </div>
    </template>
                    </fieldset>
</form>
<template v-for="index in tables.idx">
    <h2>{{tables.titles[index]}}</h2>
    <div class="bs-component">
        <div class="table dataframe">
        <span v-html="tables.tables[index]"></span>
            </p>
</div>
</template>
<div id="figures">
</div>
    </div>
        </div>
    </div>
 </div>
    </div>
    </template>
 <script src="/static/js/index.js" charset="utf-8"></script>
</body>
</html>
